> ## Documentation Index
> Fetch the complete documentation index at: https://cantonfoundation-generated-references-typescript-bindings-u.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /v0/ans-entries

> Lists all non-expired ANS entries whose names are prefixed with the
`name_prefix`, up to `page_size` entries.




## OpenAPI

````yaml /openapi/splice/scan/scan.yaml get /v0/ans-entries
openapi: 3.0.0
info:
  title: Scan API
  version: 0.0.1
servers:
  - url: https://scan.sv-1.global.canton.network.sync.global/api/scan
security: []
tags:
  - name: external
    description: >
      These endpoints are intended for public usage and will remain
      backward-compatible.
  - name: internal
    description: >
      For internal usage only, not guaranteed to be stable or
      backward-compatible.
  - name: deprecated
    description: |
      These endpoints are deprecated and will be removed in a future release.
  - name: scan
    description: |
      The internal and external endpoints.
  - name: pre-alpha
    description: |
      Still under active development, highly unstable. Do not use in production.
paths:
  /v0/ans-entries:
    get:
      tags:
        - external
        - scan
      summary: GET /v0/ans-entries
      description: |
        Lists all non-expired ANS entries whose names are prefixed with the
        `name_prefix`, up to `page_size` entries.
      operationId: listAnsEntries
      parameters:
        - name: name_prefix
          description: >
            Every result's name will start with this substring; if empty or
            absent,

            all entries will be listed.

            Does not have to be a whole word or segment; any substring will be
            accepted.
          in: query
          schema:
            type: string
        - name: page_size
          description: |
            The maximum number of results returned.
            Older (but still non-expired) results are listed first.
          in: query
          required: true
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListEntriesResponse'
components:
  schemas:
    ListEntriesResponse:
      type: object
      required:
        - entries
      properties:
        entries:
          type: array
          items:
            $ref: '#/components/schemas/AnsEntry'
    AnsEntry:
      type: object
      required:
        - user
        - name
        - url
        - description
      properties:
        contract_id:
          description: |
            If present, Daml contract ID of template `Splice.Ans:AnsEntry`.
            If absent, this is a DSO-provided entry for either the DSO or an SV.
          type: string
        user:
          description: Owner party ID of this ANS entry.
          type: string
        name:
          description: The ANS entry name.
          type: string
        url:
          description: Either empty, or an http/https URL supplied by the `user`.
          type: string
        description:
          description: Arbitrary description text supplied by `user`; may be empty.
          type: string
        expires_at:
          description: |
            Time after which this ANS entry expires; if renewed, it will have a
            new `contract_id` and `expires_at`.
            If `null` or absent, does not expire; this is the case only for
            special entries provided by the DSO.
          type: string
          format: date-time

````